<template>
<table class="parsing-data">
  <thead>
    <tr>
      <th class="parsing-data__td parsing-data__td_th">Значимость</th>
      <th class="parsing-data__td parsing-data__td_th" @click="sortData('genotype')">Имя</th>
      <th class="parsing-data__td parsing-data__td_th" @click="sortData('genotype')">Генотип</th>
      <th class="parsing-data__td parsing-data__td_th">3 формы записи</th>
      <th class="parsing-data__td parsing-data__td_th">Внешние источники</th>
      <!-- optional -->
      <!-- <th class="parsing-data__td parsing-data__td_th">Последовательность у пациента</th>
      <th class="parsing-data__td parsing-data__td_th">Последовательность референсные значения</th>
      <th class="parsing-data__td parsing-data__td_th">Хромосома</th>
      <th class="parsing-data__td parsing-data__td_th">Левая координата</th>
      <th class="parsing-data__td parsing-data__td_th">Правая координата</th> -->
    </tr>
  </thead>
  <tbody>
    <tr v-for="variant in parsingData" :key="variant.alleleName">
      <td class="parsing-data__td">{{ variant.significance }}</td>
      <td class="parsing-data__td">{{ variant.alleleName }}</td>
      <td class="parsing-data__td">{{ variant.genotype }}</td>
      <td class="parsing-data__td">{{ variant.hgvs }}</td>
      <td class="parsing-data__td">{{ variant.externalSourceEntries }}</td>
      <!-- optional -->
      <!-- <td class="parsing-data__td">{{ variant.alleleSequence }}</td>
      <td class="parsing-data__td">{{ variant.referenceSequence }}</td>
      <td class="parsing-data__td">{{ variant.leftAnchorContig }}</td>
      <td class="parsing-data__td">{{ variant.leftAnchorPosition }}</td>
      <td class="parsing-data__td">{{ variant.rightAnchorPosition }}</td> -->
    </tr>
  </tbody>
</table>
</template>

<script>
import {
  defineComponent,
  computed,
  // onMounted,
  onBeforeMount
} from 'vue'
import {
  useStore,
  // mapState
} from 'vuex'

export default defineComponent({
  setup() {
    const store = useStore()

    onBeforeMount(() => {
      store.dispatch('FILTER_SIGNIFICANSE')
    })

    const sortData = ((column_name) => {
      store.dispatch('SORT_DATA',column_name)
    })

    return{
      parsingData: computed(() => store.state.resultData),
      sortData
    }
  }
})
</script>
